<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Integration/include/Integration/TestDirectiveHandler.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_d487033c4cf6e1e6824ef2db7b280e3e.html">include</a></li><li class="navelem"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">TestDirectiveHandler.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;condition_variable&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;future&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;deque&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &quot;<a class="el" href="_directive_handler_interface_8h_source.html">AVSCommon/SDKInterfaces/DirectiveHandlerInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_attachment_manager_8h_source.html">AVSCommon/AVS/Attachment/AttachmentManager.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TestDirectiveHandler.h:</div>
<div class="dyncontent">
<div class="center"><img src="_test_directive_handler_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_integration_2include_2_integration_2_test_directive_handler_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_integration_2include_2_integration_2_test_directive_handler_8h" id="_2workplace_2avs-device-sdk_2_integration_2include_2_integration_2_test_directive_handler_8h">
<area shape="rect" id="node10" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="277,105,467,144"/>
<area shape="rect" id="node49" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="1125,279,1326,317"/>
<area shape="rect" id="node50" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="2419,699,2589,737"/>
<area shape="rect" id="node12" href="_a_v_s_directive_8h.html" title="AVSCommon/AVS/AVSDirective.h" alt="" coords="155,285,378,311"/>
<area shape="rect" id="node44" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="425,279,658,317"/>
<area shape="rect" id="node48" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="110,192,335,231"/>
<area shape="rect" id="node15" href="_attachment_manager_interface_8h.html" title="Attachment/AttachmentManager\lInterface.h" alt="" coords="1263,365,1476,404"/>
<area shape="rect" id="node42" href="_a_v_s_message_8h.html" title="AVSMessage.h" alt="" coords="144,965,256,991"/>
<area shape="rect" id="node16" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1269,452,1470,491"/>
<area shape="rect" id="node18" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2914,699,3115,737"/>
<area shape="rect" id="node22" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="3005,872,3206,911"/>
<area shape="rect" id="node21" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="2852,785,3014,824"/>
<area shape="rect" id="node23" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1120,539,1282,577"/>
<area shape="rect" id="node41" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1585,792,1687,817"/>
<area shape="rect" id="node25" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="2155,625,2301,651"/>
<area shape="rect" id="node27" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2449,785,2625,824"/>
<area shape="rect" id="node38" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="2062,705,2170,731"/>
<area shape="rect" id="node39" href="_reader_8h.html" title="Reader.h" alt="" coords="2664,705,2739,731"/>
<area shape="rect" id="node40" href="_writer_8h.html" title="Writer.h" alt="" coords="2194,705,2262,731"/>
<area shape="rect" id="node28" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1884,872,2060,911"/>
<area shape="rect" id="node30" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="2209,959,2423,997"/>
<area shape="rect" id="node32" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1573,1045,1749,1084"/>
<area shape="rect" id="node33" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2009,959,2185,997"/>
<area shape="rect" id="node36" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1687,959,1884,997"/>
<area shape="rect" id="node37" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1308,1132,1484,1171"/>
<area shape="rect" id="node34" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2069,1045,2245,1084"/>
<area shape="rect" id="node35" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="2069,1132,2245,1171"/>
<area shape="rect" id="node43" href="_a_v_s_message_header_8h.html" title="AVSMessageHeader.h" alt="" coords="245,1052,400,1077"/>
<area shape="rect" id="node45" href="_namespace_and_name_8h.html" title="NamespaceAndName.h" alt="" coords="571,545,733,571"/>
<area shape="rect" id="node46" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="329,372,447,397"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_test_directive_handler_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_integration_2include_2_integration_2_test_directive_handler_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_integration_2include_2_integration_2_test_directive_handler_8hdep" id="_2workplace_2avs-device-sdk_2_integration_2include_2_integration_2_test_directive_handler_8hdep">
<area shape="rect" id="node2" href="_test_directive_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/src\l/TestDirectiveHandler.cpp" alt="" coords="5,112,178,164"/>
<area shape="rect" id="node3" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="202,112,373,164"/>
<area shape="rect" id="node4" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="397,105,613,171"/>
<area shape="rect" id="node5" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="636,105,848,171"/>
<area shape="rect" id="node6" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="872,112,1082,164"/>
<area shape="rect" id="node7" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="1106,105,1309,171"/>
</map>
</div>
</div>
<p><a href="_test_directive_handler_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">alexaClientSDK::integration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">alexaClientSDK::integration::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
